import { LocalStorage } from "quasar";

export function useLocalStorage() {
  const addItem = (key, value) => {
    LocalStorage.set(`@${key}`, value);
  };

  const getItem = (key) => {
    const data = JSON.parse(LocalStorage.getItem(`@${key}`));


    return (data || []);
  };

  const removeItem = (key) => {
    LocalStorage.remove(`@${key}`);
  };


  return {
    addItem,
    getItem,
    removeItem,
  };
}
