import { defineStore } from "pinia";
import { ref } from "vue";

export const useMobileStore = defineStore("mobile", () => {
  const isOpenNav = ref(false);
  const isCarouselVisible = ref(false);
  const screenWidth = ref(0);

  function handleOpenMobileNav() {
    isOpenNav.value = !isOpenNav.value;
  }

  function handleResize() {
    screenWidth.value = screen.width;
    if (screenWidth.value > 768) {
      isOpenNav.value = false;
    }
  }

  return {
    isOpenNav,
    isCarouselVisible,
    screenWidth,
    handleOpenMobileNav,
    handleResize,
  };
});
