import { defineStore } from "pinia";
import { computed, ref } from "vue";
import { useFormStore } from "./forms";

export const useModalStore = defineStore("modal", () => {
  const formStore = useFormStore();
  const availability = computed(() => formStore.availability);

  const isOpenAvailability = ref(false);
  const isOpenFilters = ref(false);

  function openModal({ modal }) {
    const open = {
      availability: () =>
        (isOpenAvailability.value = !isOpenAvailability.value),
      filters: () => (isOpenFilters.value = !isOpenFilters.value),
    };
    open[modal]();
  }

  function handleSubmit({ content }) {
    const isModal = {
      isOpenAvailability: () => "Contenido modal availability",
      isOpenFilters: () => "Contenido modal filters",
    };
    console.log(availability.value);
    console.log(isModal[content]());
  }

  return { openModal, handleSubmit, isOpenAvailability, isOpenFilters };
});
