import { z } from "zod";

import * as M from "./messages";

export const postalCode = z
  .string({ required_error: M.requiredMessage })
  .refine((val) => {
    const valWithoutHifen = val.replaceAll("-", "");
    const valLength = valWithoutHifen.length;

    return valLength === 5 && valLength >= 1;
  }, "El código postal debe tener 5 caracteres numéricos válidos");
