import { fullCurrentDate } from "src/constants/date";
import { z } from "zod";
import { postalCode } from "..";
import * as M from "../messages";

const availabilityObj = {
  date: z.string({ required_error: M.requiredMessage }).refine((val) => {
    const regex = /-|\//g;
    const [day, month = "", year = ""] = val.split(regex);
    const valWithoutSlash = val.replace(regex, "");

    const inputDate = `${year}/${month}/${day}`;

    return valWithoutSlash.length === 8 && inputDate >= fullCurrentDate;
  }, "La fecha no puede ser inferior al día de hoy!"),
  postalCode,
  dedication: z.string().optional(),
};

export const availabilitySchema = z.object(availabilityObj);
