import { toTypedSchema } from "@vee-validate/zod";
import { z } from "zod";

const dedicationObj = {
  id: z.number(),
  title: z.string(),
  description: z.string(),
  price: z.string(),
  sku: z.string(),
  category: z.string(),

  attributes: z.string().array(),
  imgSrc: z.string(),
  value: z.string(),
  isNew: z.boolean(),
  discount: z.string(),
  dedication: z.string(),
};
export const dedicationSchema = toTypedSchema(
  z.object(dedicationObj).partial()
);
